--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: faktury; Type: TABLE; Schema: public; Owner: pavel; Tablespace: 
--

CREATE TABLE faktury (
    id integer NOT NULL,
    podal_osoby_id integer,
    podano date,
    castka numeric(7,2)
);


ALTER TABLE public.faktury OWNER TO pavel;

--
-- Name: osoby; Type: TABLE; Schema: public; Owner: pavel; Tablespace: 
--

CREATE TABLE osoby (
    id integer NOT NULL,
    profese_id integer,
    jmeno character varying(20) NOT NULL,
    prijmeni character varying(20) NOT NULL,
    vek integer
);


ALTER TABLE public.osoby OWNER TO pavel;

--
-- Name: profese; Type: TABLE; Schema: public; Owner: pavel; Tablespace: 
--

CREATE TABLE profese (
    id integer NOT NULL,
    nazev character varying(20)
);


ALTER TABLE public.profese OWNER TO pavel;

--
-- Data for Name: faktury; Type: TABLE DATA; Schema: public; Owner: pavel
--

INSERT INTO faktury VALUES (1, 1, '2012-01-22', 10000.00);
INSERT INTO faktury VALUES (2, 1, '2012-02-25', 10000.00);
INSERT INTO faktury VALUES (3, 2, '2011-12-05', 8000.00);


--
-- Data for Name: osoby; Type: TABLE DATA; Schema: public; Owner: pavel
--

INSERT INTO osoby VALUES (1, 1, 'Pavel', 'Stěhule', 39);
INSERT INTO osoby VALUES (2, 1, 'Marek', 'Novotný', 35);
INSERT INTO osoby VALUES (3, 2, 'Zdeněk', 'Stěhule', 35);
INSERT INTO osoby VALUES (4, 3, 'Radek', 'Hirják', 37);
INSERT INTO osoby VALUES (5, 2, 'Jíří', 'Matějovský', 35);


--
-- Data for Name: profese; Type: TABLE DATA; Schema: public; Owner: pavel
--

INSERT INTO profese VALUES (1, 'Programátor');
INSERT INTO profese VALUES (2, 'Dispečer');
INSERT INTO profese VALUES (3, 'Konstruktér');


--
-- Name: faktury_pkey; Type: CONSTRAINT; Schema: public; Owner: pavel; Tablespace: 
--

ALTER TABLE ONLY faktury
    ADD CONSTRAINT faktury_pkey PRIMARY KEY (id);


--
-- Name: osoby_pkey; Type: CONSTRAINT; Schema: public; Owner: pavel; Tablespace: 
--

ALTER TABLE ONLY osoby
    ADD CONSTRAINT osoby_pkey PRIMARY KEY (id);


--
-- Name: profese_pkey; Type: CONSTRAINT; Schema: public; Owner: pavel; Tablespace: 
--

ALTER TABLE ONLY profese
    ADD CONSTRAINT profese_pkey PRIMARY KEY (id);


--
-- Name: faktury_podal_osoby_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: pavel
--

ALTER TABLE ONLY faktury
    ADD CONSTRAINT faktury_podal_osoby_id_fkey FOREIGN KEY (podal_osoby_id) REFERENCES osoby(id);


--
-- Name: osoby_profese_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: pavel
--

ALTER TABLE ONLY osoby
    ADD CONSTRAINT osoby_profese_id_fkey FOREIGN KEY (profese_id) REFERENCES profese(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

